LRCALC(1)

NAME
lrcalc - Calculate with Littlewood-Richardson coefficients

SYNOPSIS
lrcalc coprod [-a] part
lrcalc lrcoef outer - inner1 - inner2
lrcalc lrtab [-r rows] outer / inner
lrcalc mult [-mz] [-r rows] [-q rows,cols] [-f rows,level] part1 - part2
lrcalc skew [-m] [-r rows] outer / inner

coprod - Calculate coproducts in the ring of symmetric functions
DESCRIPTION
    The command "lrcalc coprod z" lists all pairs of partitions x and y for which the Littlewood-Richardson coefficient c^z_{x,y} is non-zero, with that coefficient in front.
OPTIONS

    -a  not documented
EXAMPLE
    % lrcalc coprod 3 2 1
    1 (3, 1) (2)
    1 (2, 2) (1, 1)
    1 (3, 1) (1, 1)
    1 (2, 1) (3)
    2 (2, 1) (2, 1)
    1 (2, 2, 1) (1)
    1 (3, 2, 1) ()
    1 (3, 2) (1)
    1 (2, 1, 1) (2)
    1 (3, 1, 1) (1)
    1 (1, 1, 1) (2, 1)
    1 (2, 1, 1) (1, 1)
    1 (2, 2) (2)

lrcoef - Compute a single Littlewood-Richardson coefficient
DESCRIPTION
    The command "lrcalc lrcoef z - x - y" computes the Littlewood-Richardson coefficient c^z_{x,y} which is the coefficient of the Schur function s_z in the product s_x * s_y.
EXAMPLE
    % lrcalc lrcoef 3 2 1 - 2 1 - 2 1
    2

lrtab
not documented

mult - Expand a product of two Schur functions in the basis of Schur functions
DESCRIPTION
    The command "lrcalc mult x - y" lists all partitions z for which the Littlewood-Richardson coefficient c^z_{x,y} is non-zero, with that coefficient in front.
OPTIONS

    -mz not documented

    -r rows
        not documented

    -q rows,cols
        Calculates quantum coefficients. Experimental feature.

    -f rows,level
        Calculates fusion coefficients. Experimental feature.
EXAMPLES
    % lrcalc mult 2 1 - 2 1
    1 (3, 3)
    1 (4, 2)
    1 (2, 2, 1, 1)
    1 (2, 2, 2)
    2 (3, 2, 1)
    1 (4, 1, 1)
    1 (3, 1, 1, 1)

    % lrcalc mult -f 3,2 3 2 1 - 3 2 1
    1 (4, 4, 4)
    1 (5, 4, 3)

    % lrcalc mult -q 3,2 3 2 1 - 3 2 1
    1 (2)
    1 (1, 1)

skew - Expand a skew Schur function in the basis of Schur functions
DESCRIPTION
    The command "lrcalc skew z / x" lists all partitions y for which the Littlewood-Richardson coefficient c^z_{x,y} is non-zero, with that coefficient in front.
OPTIONS

    -m  not documented

    -r rows
        not documented
EXAMPLE
    % lrcalc skew 3 2 1 / 2 1
    1 (3)
    2 (2, 1)
    1 (1, 1, 1)

AUTHOR
Anders S. Buch <asbuch at math rutgers edu>

MANPAGE AUTHOR
Tobias Hansen <thansen at debian dot org>